package io.piveau.translation.database;

public enum SqlQuery {
  CREATE_TRANSLATION_REQUEST,
  CREATE_TRANSLATION,
  CREATE_AUTH,
  CREATE_FINISHED_TRANSLATIONS,
  CREATE_ACTIVE_TRANSLATION,
  ALTER_TABLE_TRANSLATION_REQUEST,
  INSERT_TRANSLATION_REQUEST,
  UPDATE_TRANSLATION_REQUEST,
  SENDED_TRANSLATION_REQUEST,
  UNSENDED_TRANSLATION_REQUESTS,
  UNSEND_ONE_TRANSLATION_REQUEST,
  GET_TRANSLATION_REQUEST,
  GET_OLDEST_TRANSLATION_REQUEST,
  GET_ALL_TRANSLATION_REQUESTS,
  GET_NUM_SENDED_TRANSLATION_REQUESTS,
  DELETE_TRANSLATION_REQUEST,
  DELETE_COMPLETED_TRANSLATION_REQUEST,
  INSERT_TRANSLATION,
  GET_TRANSLATIONS,
  GET_NUM_TRANSLATIONS,
  GET_ACTUAL_NUM_TRANSLATIONS,
  DELETE_TRANSLATIONS,
  DELETE_ALL_TRANSLATIONS,
  INSERT_AUTH,
  GET_AUTH,
  DELETE_AUTH,
  SAVE_FINISHED_TRANSLATION,
  INSERT_ACTIVE_TRANSLATION,
  FIND_OLD_TRANSLATION_REQUEST,
  DELETE_ACTIVE_TRANSLATION,
  DELETE_ALL_ACTIVE_TRANSLATIONS,
  GET_NUM_ACTIVE_TRANSLATIONS,
  REDUCE_AWAITED_TRANSLATIONS,
  SELECT_LAST_FINISHED_TRANSLATIONS,
  CORONA_UPDATE
}
